    // by parser/inc/cronline
inline void CronEntry::setCommand(std::string const &src)
{
    d_command = src;
}

    // by parser/inc/cronline crondata.setminutes.cc
inline void CronEntry::setMinutes(SizeSet &&src)
{
    d_minutes = std::move(src);
}

    // by parser/inc/cronline crondata.sethours.cc
inline void CronEntry::setHours(SizeSet &&src)
{
    d_hours = std::move(src);
}

    // by parser/inc/cronline crondata.setdayofmonth.cc
inline void CronEntry::setDayOfMonth(SizeSet &&src)
{
    d_dayOfMonth = std::move(src);
}

    // by parser/inc/cronline crondata.setmonthofyear.cc
inline void CronEntry::setMonthOfYear(SizeSet &&src)
{
    d_monthOfYear = std::move(src);
}

    // by parser/inc/cronline crondata.setdayofweek.cc
inline void CronEntry::setDayOfWeek(SizeSet &&src)
{
    d_dayOfWeek = std::move(src);
}

    // cron/execute.cc
inline size_t CronEntry::nSettings() const
{
    return d_end;
}

    // cron/execute.cc
inline std::string const &CronEntry::command() const
{
    return d_command;
}

    // cron/call.cc
inline CronEntry::SizeSet const &CronEntry::minutes() const
{
    return d_minutes;
}

    // cron/call.cc
inline CronEntry::SizeSet const &CronEntry::hours() const
{
    return d_hours;
}

    // cron/call.cc
inline CronEntry::SizeSet const &CronEntry::dayOfMonth() const
{
    return d_dayOfMonth;
}

    // cron/call.cc
inline CronEntry::SizeSet const &CronEntry::monthOfYear() const
{
    return d_monthOfYear;
}

    // cron/call.cc
inline CronEntry::SizeSet const &CronEntry::dayOfWeek() const
{
    return d_dayOfWeek;
}


